Bug 1412441 - Selecting a Group Causes UI to Spin Indefinitely
Summary: Selecting a Group Causes UI to Spin Indefinitely
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.6.4
Assignee: Martin Hradil
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On: 1399345
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 03:16 UTC by Satoe Imaishi
Modified: 2020-03-11 15:35 UTC (History)
9 users (show)

Fixed In Version: 5.6.4.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1399345
Environment:
Last Closed: 2017-03-09 17:07:04 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2017:0474 0 normal SHIPPED_LIVE CFME 5.6.4 bug fixes and enhancement update 2017-03-09 22:03:14 UTC

Comment 4 CFME Bot 2017-01-16 13:56:27 UTC
New commit detected on ManageIQ/manageiq/darga:
https://github.com/ManageIQ/manageiq/commit/626f8fb50f9eaf446f64479230ac128a007f169a

commit 626f8fb50f9eaf446f64479230ac128a007f169a
Author:     Keenan Brock <kbrock@redhat.com>
AuthorDate: Thu Jan 12 11:51:28 2017 -0500
Commit:     Keenan Brock <kbrock@redhat.com>
CommitDate: Fri Jan 13 08:54:31 2017 -0500

    This is a back port of c6fb39b
    
    It will no longer lookup category names if viewing the whole tree
    since the category name was only used for filtering.
    
    This removes a few hundred extra queries
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1412441

 app/controllers/ops_controller/ops_rbac.rb | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Comment 6 Matouš Mojžíš 2017-02-13 16:26:47 UTC
Verified in 5.6.4.0. In 5.6.3.3 were all three tabs loaded at same time. On 5.6.4.0 are tabs loaded after selecting them, so it is much faster.

Comment 8 errata-xmlrpc 2017-03-09 17:07:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2017-0474.html


Note You need to log in before you can comment on or make changes to this bug.